Package org.codehaus.janino

# Class Java.BlockLambdaBody

java.lang.Object
org.codehaus.janino.Java.BlockLambdaBody

All Implemented Interfaces:
  `Java.LambdaBody`

Enclosing class:
  `Java`

public static class Java.BlockLambdaBody extends Object implements Java.LambdaBody
Representation of a "lambda body" that is a block; see JLS9 15.27.2.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Block`
`block`
The block that poses the lambda body.

## Constructor Summary

Constructors
Constructor
Description
`BlockLambdaBody(Java.Block block)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.LambdaBodyVisitor<R,EX> lbv)`
Invokes the "`visit...()`" method of `Visitor.LambdaBodyVisitor` for the concrete `Java.LambdaBody`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### block

public final Java.Block block
The block that poses the lambda body.

## Constructor Details

### BlockLambdaBody

public BlockLambdaBody(Java.Block block)

## Method Details

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.LambdaBodyVisitor<R,EX> lbv) throws EX
Description copied from interface: `Java.LambdaBody`
Invokes the "`visit...()`" method of `Visitor.LambdaBodyVisitor` for the concrete `Java.LambdaBody`.

Specified by:
  `accept` in interface `Java.LambdaBody`
Throws:
  `EX`